<template>
    <b-container>
        <b-row>  
            <b-col md = '6' class="mb-3" v-for="(objet,key) in objets" v-bind:key="key">
                    <b-card no-body class="overflow-hidden" style="max-width: 540px;">
                        <b-row no-gutters> 
                            <b-col md="6">
                                <b-card-img src="https://picsum.photos/400/400/?image=20" alt="Image" class="rounded-0"></b-card-img>
                            </b-col>
                            <b-col md="6">
                                <b-card-body>
                                    <b-card-title>{{ objet.type }}</b-card-title>
                                    <b-card-text>
                                        {{objet.detail}}
                                    </b-card-text>
                                    <a class="btn btn-sm btn-info">modifier</a>
                                    <a class="btn btn-sm btn-danger">supprimer</a>
                                </b-card-body>
                            </b-col>
                        </b-row>
                    </b-card>
            </b-col>
        </b-row>
    </b-container>
</template>

<script>
    export default {
        layout : 'user',
        
        data : () => ({
            objets : [
                {
                    _id: '113154fdfsfggs',
                    type_objet : 'Permis de conduire',
                    date_objet : '12/04/2021',
                    detail : 'ceci est un detail sur l\'objet perdu',
                    etat : 1,
                    idUser:'momo123'
                },
                {
                    _id: '113154fdfsfggs',
                    type_objet : 'Permis de conduire',
                    date_objet : '12/04/2021',
                    detail : 'ceci est un detail sur l\'objet perdu',
                    etat : 1,
                    idUser:'momo123'
                }
            ]
        })


    }
</script>